---
search:
  tags:
    - Folders
    - GET
seo:
  description: >-
    Retrieves a flat list of public folders with pagination. Reference for the
    GET /api/v1/{app_id}/folders/public endpoint in the Digital Assets
    Management API.
sidebar:
  label: Get Public Folders
  badge: GET
title: Get Public Folders
type: openapi-operation
---
Retrieves a flat list of public folders with pagination

`GET /api/v1/{app_id}/folders/public`

**Responses**

- `200` — Public folders retrieved successfully
- `400` — Invalid request
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "file_count": 0,
      "has_content_access": true,
      "id": "string",
      "image_count": 0,
      "is_default": true,
      "name": "string",
      "parent_id": "string",
      "public": true,
      "slug": "string",
      "updated_at": "string",
      "video_count": 0
    }
  ],
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total_items": 0,
    "total_pages": 0
  },
  "success": true
}
```
